Retrieve a specific entry from the Inclusive Dictionary Run in API Explorer
Ask AI
Get details of a specific entry from the Inclusive Dictionary by its ID.
GET
/inclusive/search/{id}
curl \
--request GET 'https://pronom.it/api/public/v3/inclusive/search/{id}' \
--header "Accept: application/json"
Response examples (200)
{
"id": "01GYEG2T9H00PSTX8B0N7EWG6Z",
"insteadOf": "\"he/she\"|\"he or she\"",
"say": "he/she/they (formal)|he, she, or they (formal)|they (formal)",
"because": "Putting “he/she” or “him/her” in a sentence where the person is hypothetical or the gender of the person is unknown assumes that the person it's referring to uses either he/him or she/her pronouns, which some people do not.\n",
"locale": "en",
"approved": 1,
"base_id": null,
"author_id": null,
"categories": "transgender,intersex",
"links": [
null
],
"deleted": 0,
"clarification": null,
"author": null
}
Response examples (default)
Bad Request (400)
The request contains invalid content
{
"error": true,
"statusCode": 400,
"statusMessage": "Bad Request",
"message": "XYZ contains an invalid value",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
"error": true,
"statusCode": 401,
"statusMessage": "Unauthorised",
"message": "You are not authorised to access this content",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
"error": true,
"statusCode": 404,
"statusMessage": "Not Found",
"message": "Requested Item Not Found",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
"error": true,
"statusCode": 410,
"statusMessage": "Gone",
"message": "v1 has been marked as depreciated; please use v2 or v3",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
"error": true,
"statusCode": 500,
"statusMessage": "Server Error",
"message": "An unknown server error has occured, please try again later",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}